Skip to main content

Create Store

POST 

/api/stores

Creates a new store. Also creates an associated address record.

Authentication: Requires Bearer token.

Fields:

  • name (required, string, max:255, unique)
  • email (required, valid email, max:255)
  • po_email (optional, comma-separated email addresses, max:255)
  • company_name (optional, string, max:255)
  • logo_url (optional)
  • download_logo (optional, boolean — download logo from logo_url)
  • custom_jrxml_file (optional — custom packing slip template)
  • custom_message (optional — message printed on packing slips)
  • address1 (optional, string, max:255)
  • address2 (optional, string, max:255)
  • address3 (optional, string, max:255)
  • city (optional, string, max:255)
  • province (optional, string, max:255)
  • province_code (optional, string, max:255)
  • zip (optional, string, max:255)
  • country (optional, string, max:255)
  • country_code (optional, string, max:2)
  • phone (optional, string, max:255)
  • fax (optional, string, max:255)

Request

Responses

Successful response